program Ctt 
! Normal moveout
  use sep
  implicit none
  integer :: i1, n1, test
  real :: value,o1,d1,grad,t
  real, dimension(:), allocatable    :: data

  call sep_init()

  call from_history ("n1", n1)
  call from_history ("d1", d1)
  call from_history ("o1", o1)

  call from_param("value",value,1.)
  call from_param("grad",grad,0.)

  call to_history ("o1", o1)
  call to_history ("d1", d1)
  call to_history ("n1", n1)

  if (allocated (data) ) deallocate (data)
  allocate (data(n1), STAT=test)
	if(test /=0) call seperr("cant allocate data")
 
do i1=1,n1

t=o1+(i1-1)*d1
data(i1)=value + grad*t

end do

write(0,*) "Data =", data(i1-1)
call sep_write(data)
write(0,*) "Done"

end program Ctt
