! Smooth with a rectangle.
program zyxabc
implicit none
real, allocatable, dimension (:) :: x
integer n1
integer hetch,putch
call initpar()
call doc('/daniel/Reports/sep113/daniel1/work/psnmo/Boxconv.rs')
  if (0>= hetch('n1','d',n1 )) then
    call erexit('Trouble reading  n1 from history  ')
  end if
allocate (x(n1+n1))
call doit ( n1, x)
end program zyxabc 
subroutine doit( n1, x)
integer i1,i2,i3, n1,n2,n3, wide
real x(n1)
integer getch,hetch,putch
  if (0>= hetch('n1','d',n1 )) then
    call erexit('Trouble reading  n1 from history  ')
  end if
  if (0>= hetch('n2','d',n2 )) then
    call erexit('Trouble reading  n2 from history  ')
  end if
  if (0>= hetch('n3','d',n3 )) then
    call erexit('Trouble reading  n3 from history  ')
  end if
  if (0>= getch('wide','d',wide )) then
    wide = 10
  end if
  if (0.ne.putch('Read  from param: #wide ','d',wide)) then
    call erexit('Trouble writing wide to history')
  end if
call hclose()
do i2=1,n2  
  do i3=1,n3  
    call sreed( 'in', x, 4*n1)
    call boxconv( wide, n1, x, x)	! needs space n1+wide
    call srite( 'out', x, 4*n1)
  end do
end do 
return
end  

subroutine boxconv( nb, nx, xx, yy)
integer nx, ny, nb, i
real xx(nx), yy(nx) ! it was 1
real bb(nx+nb)
if( nb < 1 .or. nb > nx)  call erexit('boxconv')
ny = nx+nb-1
do i= 1, ny
     bb(i) = 0.
     bb(1) = xx(1)
end do

do i= 2, nx
     bb(i) = bb(i-1) + xx(i)         ! make B(Z) = X(Z)/(1-Z)
end do

do i= nx+1, ny
     bb(i) = bb(i-1)
end do

do i= 1, nb
     yy(i) = bb(i)
end do

do i= nb, ny ! it was nb+1
     yy(i) = bb(i) - bb(i-nb)        ! make Y(Z) = B(Z)*(1-Z**nb)
end do

do i= 1, ny
     yy(i) = yy(i) / nb
end do

return
end subroutine
